> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/games/simplay-sports/visualization-options/sim-play-mlb-integration-example.md).

# Sim-Play MLB Integration Example

```html
<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>VBI Video Live Match Tracker Demo</title>
        <link rel="stylesheet" type="text/css" href="theme.css">
        <style>
            body {
                display: flex;
                justify-content: center;
            }

            .widgets {
                max-width: 620px;
                width: 100%;
            }

            .sr-widget {
                border: rgba(0, 0, 0, 0.12) solid 1px;
                margin-bottom: 24px;
            }

            .sr-widget-title {
                font-weight: bold;
                padding-bottom: 4px;
            }
        </style>
    </head>

    <body>
        <!--
        JS/Programmatic
        Provide the virtualClientId as a parameter in the addWidget call
        -->
        <div class="widgets"></div>
        <script>
            (function (a, b, c, d, e, f, g, h, i) {
                a[e] || (i = a[e] = function () {
                    (a[e].q = a[e].q || []).push(arguments)
                }, i.l = 1 * new Date, i.o = f,
                    g = b.createElement(c), h = b.getElementsByTagName(c)[0], g.async = 1, g.src = d, g.setAttribute
                        ("n", e), h.parentNode.insertBefore(g, h)
                )
            })
                (window, document, "script", "https://widgets.sir.sportradar.com/{clientstoreID}/widgetloader"
                    , "SIR", {
                    theme: false, // using custom theme
                    language: "en" // other languages are available like en, fr, de, pl, ...
                });
            SIR("addWidget", ".sr-widget-1", "match.lmtPlus", {
                layout: "topdown",
                matchId: "vbi:match:<matchID>",
                virtualClientId: "<clientID>"
            });
        </script>
    </body>
</html>
```

#### Required parameters

<table><thead><tr><th valign="top">Parameter</th><th>Description</th></tr></thead><tbody><tr><td valign="top"><code>widgetLoader</code></td><td>Use your Live Match Tracker <code>clientid</code>/<code>storeid</code> in the widget URL, e.g.<br><code>https://widgets.sir.sportradar.com/{clientstoreID}/widgetloader</code></td></tr><tr><td valign="top"><code>matchId</code></td><td><p>Must reference a running Sim-Play Tennis / ATP match. Active matches can be retrieved via the following JSON endpoint. </p><p></p><p>Production: <code>https://vgls.betradar.com/vbi/feeds/? /{client_alias}/en/Europe:Oslo/gismo/category_currentmatches/1963/1</code> </p><p></p><p>Staging: <code>https://vglsstaging.betradar.com/ls/feeds/? /{client_alias}/en/Europe:Oslo/gismo/category_currentmatches/1963/1</code></p></td></tr><tr><td valign="top"><code>virtualClientId</code></td><td>Customer virtual sports client id.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/games/simplay-sports/visualization-options/sim-play-mlb-integration-example.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
